/* ========================================================================
 * drawTopo - Draws a topographic map from SDTS data files
 *
 *            Take from drawmap by Fred M. Erickson
 *            Copyright (c) 1997,1998,1999,2000,2001  Fred M. Erickson
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * =========================================================================
 */

/* Unix/Linux includes
 */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <math.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <time.h>
#include <string.h>

/* Application includes
 */
#include "drawmap.h"
#include "dem.h"
#include "dlg.h"
#include "raster.h"
#include "utmCalcUtils.h"
#include "colors.h"
#include "font_5x8.h"
#include "font_6x10.h"

/* Structure Data - an array of pointers to be allocated as needed
 *                  hold data from SDTS files
 */

struct dem_record_type_a *dem_a[NUM_DEM];
struct dem_record_type_c *dem_c[NUM_DEM];

long x_prime;
long bottom_border = BOTTOM_BORDER;

/* Forward Declarations
 */
 void add_text(struct image_corners *imageCorners,
               char                 *textString, 
               long                 *textLength,
               long                  topLeftX, 
               long                  topLeftY,
               unsigned char        *font,
               long                  fontWidth, 
               long                  fontHight,
               long                  forground,
               long                  backgroud);

void get_short_array(short **ptr,
                     long x, 
                     long y);

