/* ************************************************************************* *
 *  drawTrails.h : header file for drawTrails.c
 * ************************************************************************* */

#define POINT      0
#define LINE       1
#define JUNCTION   2
#define MARK       3
#define LABEL      4
#define TICK       5
#define PLOT_TYPES 6

#define NO_MAP_UNIT	0
#define DECIMAL_DEGREE	1
#define DEGREE_MINUTE	2
#define GARMIN_TEXT	3

typedef void (*TrailPlotFunc)(double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

extern TrailPlotFunc TrailPlot[PLOT_TYPES];

int    SetMapUnit(char *s);

void   SetPlotColor(char *s);

double MagellonConv(char *s);

int    parseGpsUtilLine(char *line, double *latitude, double *longitude, char **icon);
                                                                                                                    
int    parseDecDegreeLine(char *line, double *latitude, double *longitude, char **icon);

int    parseGarminTextLine(char *line, double *latitude, double *longitude, char **icon);

int    FindMarkType(char *s);

void RestartLine ();

void PlotPoint   (double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

void PlotLine    (double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

void PlotJunction(double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

void PlotMarker  (double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

void PlotLabel   (double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

void PlotTick    (double x, double y, struct image_corners *imageCorner, unsigned char *bufPtr, char *data);

int CalcDoublePlotPoint(double *x, double *y, double longitude, double latitude, struct image_corners *imageCorner);

int PlotScale(struct datum *datum, struct image_corners *imageCorner, unsigned char *bufPtr);

 

/* ************************************************************************* * 
 *                        E N D   O F   F I L E
 * ************************************************************************* */
